A key combination that do location.reload() ?

RESOLVED WONTFIX

Status

RESOLVED WONTFIX
6 years ago
5 years ago

People

(Reporter: ghtobz, Unassigned)

Tracking

unspecified

Firefox Tracking Flags

(blocking-basecamp:-)

Details

(Reporter)

Description

6 years ago
[GitHub issue by timdream on 2012-03-16T09:06:05Z, https://github.com/mozilla-b2g/gaia/issues/807]
For B2G/Desktop the F6 key could do that. Should we introduce the same function on the phone?

I vote for Sleep + Home for 2 sec.

Need to stop task manager and sleep menu for showing up though.
(Reporter)

Comment 1

6 years ago
[GitHub comment by vingtetun on 2012-03-16T10:51:25Z]
On 16/03/2012 10:06, Timothy Guan-tin Chien wrote:
> For B2G/Desktop the F6 key could do that. Should we introduce the same function on the phone?
>
> I vote for Sleep + Home for 2 sec.

What about adding an entry in the sleep menu?
(Reporter)

Comment 2

6 years ago
[GitHub comment by benfrancis on 2012-03-16T15:20:14Z]
Do you mean reload the top level browser element or the currently displayed app window?
(Reporter)

Comment 3

6 years ago
[GitHub comment by timdream on 2012-03-16T15:23:56Z]
Reload the homescreen.html. The entire Gaia.

Adding an entry to sleep menu sounds bad to me coz it is suppose to be a "reset" function, much like Ctrl+Alt+Delete.
(Reporter)

Comment 4

6 years ago
[GitHub comment by vingtetun on 2012-03-16T15:48:47Z]
On 16/03/2012 16:23, Timothy Guan-tin Chien wrote:
> Reload the homescreen.html. The entire Gaia.
>
> Adding an entry to sleep menu sounds bad to me coz it is suppose to be a "reset" function, much like Ctrl+Alt+Delete.

Right. I don't have a strong opinion so sleep + home sounds fine too.
(Reporter)

Comment 5

6 years ago
[GitHub comment by cleemoz on 2012-03-16T17:09:20Z]
Sleep + Home sound like a good option.  I'm not sure what impact different HW will have on this, but assuming all devices will at least have both these physical buttons, this should work. 

This sounds like a 'soft reset'?
(Reporter)

Comment 6

6 years ago
[GitHub comment by nhirata on 2012-07-06T00:27:13Z]
I think it might be a good idea to get UX input?
(Reporter)

Comment 7

6 years ago
[GitHub comment by daleharvey on 2012-07-06T02:52:12Z]
I dont think so, this is mostly for developer convenience, users should never see this 

Home + Sleep is being used for screenshot

Updated

6 years ago
Component: Gaia → Gaia::System
Priority: P2 → --
Whiteboard: [label:needsUXinput][label:system]
I don't think this is generally needed on the phone, because now we just install apps and it closes, making for an easy restart. If this is still painful, please re-open.
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.